Skip to content

Remove User Roles

Remove one or more roles from a user. Requires ADMIN or MANAGE_PEOPLE permissions and the PEOPLE_MANAGEMENT feature flag.

Parameters

name * are required parametersdata typedescription
userId*stringThe unique identifier of the user
body.roleId*stringThe role identifier to remove from the user

Return Value

json
{
  "statusCode": 201,
  "data": true,
  "message": "Successfully removed role from the user"
}

Error Codes

  • 400 Bad Request: Returned when the role is not assigned to the user.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/user/:userId/remove-roles" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"roleId": "role-abc123"}'

ENDPOINTS

post/api/{targetPath}/user/:userId/remove-roles